<?php
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Installer\InstallerScript;


class Com_MonetkaInstallerScript extends InstallerScript
{
    /**
     * Метод вызывается после удаления компонента.
     * 
     * @param   InstallerAdapter  $parent  Родительский объект установщика
     * @return  boolean
     */
    public function uninstall($parent)
    {
        $this->deletePackage();
        return true;
    }

    /**
     * Удаляет связанный пакет при удалении компонента
     */
    private function deletePackage()
    {
        $db = Factory::getContainer()->get('DatabaseDriver');
        $query = $db->getQuery(true)
            ->delete($db->quoteName('#__extensions'))
            ->where($db->quoteName('type') . ' = ' . $db->quote('package'))
            ->where($db->quoteName('element') . ' = ' . $db->quote('monetka_package'));
        $db->setQuery($query);

        try {
            $db->execute();
            Factory::getApplication()->enqueueMessage('Associated package was successfully deleted.', 'info');
        } catch (Exception $e) {
            Factory::getApplication()->enqueueMessage('Error deleting associated package: ' . $e->getMessage(), 'error');
        }

        // Удаление манифеста пакета
        $manifestPath = realpath(JPATH_ROOT . '/administrator/manifests/packages/monetka_package.xml');
        if (file_exists($manifestPath)) {
            if (@unlink($manifestPath)) {
                Factory::getApplication()->enqueueMessage('Package manifest file deleted.', 'info');
            } else {
                Factory::getApplication()->enqueueMessage('Failed to delete package manifest file.', 'error');
            }
        }
    }

    // Здесь можно добавить другие методы для установки, обновления и т.д., если они нужны
}
 

 

